Subject: rm7000/orion board

From: Pete Popov <[email-masked]>
Date: Wed, 01 Nov 2000 20:34:39 -0800

There's some R7000 support, apparently added for an "Orion" board.  Has
any one had any experience with this board, or with linux on the R7000
in general?

---

From: Ralf Baechle <[email-masked]>
Date: Thu, 2 Nov 2000 13:55:29 +0100

> any one had any experience with this board, or with linux on the R7000

The Orion is an embedded application based on the RM7000, not an evaluation
board.

The RM7000 as is in CVS isn't currently completly supported.  In particular
that code doesn't handle the L2 and L3 caches, so as is no DMA I/O is
supported for RM7000.  Aside of that it's fine CPU with Linux - and one
of the few 64-bit MIPSes with sane caches.  I got some RM7000 code in the
queue - but I will not commit it before it's tested on something better
than vapor hardware.

  Ralf